Delete Column

Delete a column and its associated data from a dataset.

DELETE https://api.futureagi.com/model-hub/develops/{dataset_id}/delete_column/{column_id}/

Authentication

X-Api-Key API Key Required

Your Future AGI API key used to authenticate requests. You can find and manage your API keys in the Dashboard under Settings.

X-Secret-Key Secret Key Required

Your Future AGI secret key, used alongside the API key for request authentication. This is generated when you create an API key in the Dashboard.

Path parameters

dataset_id UUID Required

The dataset ID.

column_id UUID Required

The column ID.

Response

200 OK
message string

Confirmation message.

Errors

401 Unauthorized Optional
Invalid or missing API credentials.
404 Not Found Optional
The specified column or dataset was not found, or does not belong to your organization.
500 Internal Server Error Optional
Unexpected server error.
GET /
Authentication
REQUEST
 
RESPONSE